# Ogre::_ConfigOption Struct Reference

Packages the details of a configuration option. More...

`#include <OgreConfigOptionMap.h>`

List of all members.

## Public Attributes

String | name
String | currentValue
StringVector | possibleValues
bool | immutable

## Detailed Description

Packages the details of a configuration option.

Remarks:
  Used for RenderSystem::getConfigOptions. If immutable is true, this option must be disabled for modifying.

Definition at line 41 of file OgreConfigOptionMap.h.

## Member Data Documentation

String Ogre::_ConfigOption::currentValue

| Definition at line 44 of file OgreConfigOptionMap.h.

bool Ogre::_ConfigOption::immutable

| Definition at line 46 of file OgreConfigOptionMap.h.

String Ogre::_ConfigOption::name

| Definition at line 43 of file OgreConfigOptionMap.h.

StringVector Ogre::_ConfigOption::possibleValues

| Definition at line 45 of file OgreConfigOptionMap.h.

The documentation for this struct was generated from the following file:

- OgreConfigOptionMap.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:36:30 2005